> For the complete documentation index, see [llms.txt](https://docs.bravostudio.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bravostudio.app/bravo-tags/intro-and-onboarding/page-intro.md).

# Intro page

Displays an Intro screen of your choice.

## 👉 **The Tag** <a href="#the-tag" id="the-tag"></a>

Displays a custom intro screen either 1) every time the app user opens the app or 2) only the first time.

**📍 Where to add the tag:** A top-level app page

```
[intro:always] or [intro:once]

//Add this tag in a visual element (NOT a top-level app page) to close the intro screen.

[action:closeintro]
```

{% hint style="info" %}
`[intro:always]` displays the intro **every time** the user opens the app.\
`[intro:once]` displays the intro **only the first time** the user opens the app.
{% endhint %}

![](https://1444025092-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MXpqEanvOhm8vMtIH8i%2F-Mhs_E0H_tlAZMJ4PlPR%2F-Mhsa0glkeVvlxrepE1O%2Fintro.gif?alt=media\&token=2ceb8f2c-966f-4480-ba31-38af5e601752)

## 🏷️ **How to add the tag** <a href="#how-to-add-the-tag" id="how-to-add-the-tag"></a>

&#x20;   1\. Create an intro screen design.

{% hint style="info" %}
**Pro tip:** use the [Lottie component](/bravo-tags/components/component-lottie.md) to easily add a Lottie animation in your intro.
{% endhint %}

![](https://1444025092-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MXpqEanvOhm8vMtIH8i%2F-Mhs_E0H_tlAZMJ4PlPR%2F-Mhsboav9SwweqOBJ4Xq%2Fintro1.webp?alt=media\&token=d7c31c9b-4ea3-4d1a-b5fa-068b432f99ee)

&#x20;   2\. Add a container around the design.

![](https://1444025092-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MXpqEanvOhm8vMtIH8i%2F-Mhs_E0H_tlAZMJ4PlPR%2F-MhsbsjnyW8Upw1T9kBH%2Fintro2.gif?alt=media\&token=0da4c719-b277-444f-9095-2e1f4680cc83)

&#x20;   3\. **Paste** the tag `[intro:always]` or `[intro:once]` into the layer name of the **top-level app page**.

![](https://1444025092-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MXpqEanvOhm8vMtIH8i%2F-Mhs_E0H_tlAZMJ4PlPR%2F-MhsbyM-fAFa-W4ctIut%2Fintro3.webp?alt=media\&token=18199b43-f061-4ea3-848c-65b0128f55ea)

&#x20;   4\. **Paste** the tag `[action:closeintro]` into the layer name of a **visual element** to close the intro screen.

![](https://1444025092-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MXpqEanvOhm8vMtIH8i%2F-Mhs_E0H_tlAZMJ4PlPR%2F-Mhsc1iFDfc-3oIArtNV%2Finrtro4.webp?alt=media\&token=0dcf3fd3-a30a-4750-bf1e-d8cdec8411a7)

&#x20;   5\. Make sure the **Starting Frame** is on your "home" app page, not the intro screen. Also make sure **there is** a Starting Frame.

{% hint style="danger" %}
Don't link the intro page to any screen. It's a standalone screen. The **close intro Tag** will automatically reveal the **Starting Frame** screen.
{% endhint %}

{% hint style="warning" %}
You can create an intro flow with several screens. If you do this, **do not** link the last page of the intro with the first page of the app, but add an `[action:closeintro]`  element. Check how it's done in the example design files.
{% endhint %}

![](https://1444025092-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MXpqEanvOhm8vMtIH8i%2F-Mhs_E0H_tlAZMJ4PlPR%2F-MhscC2n_FR-rAb9J86-%2Fintro5.webp?alt=media\&token=436a4d44-47a5-48d9-999e-3f3003734f9a)

&#x20;   6\. Import to Bravo & preview on **Bravo Vision** 🚀

## 💾 Example files <a href="#example-files" id="example-files"></a>

Duplicate the files below to see how to set it up!

{% embed url="<https://www.figma.com/community/file/981964292540895745>" %}

{% file src="/files/-MhsdlE3L20BmdsO-uSz" %}
Bravo Sample: Intro Pages.xd
{% endfile %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bravostudio.app/bravo-tags/intro-and-onboarding/page-intro.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
